image: samuelgomezpragma/devops_banismo:latest

services:
  - docker:19.03.12-dind 

variables:
  DOCKER_DRIVER: overlay2  

stages:
  - build
  - test


before_script:
  - apt-get update -qy
  - apt-get install -y sudo
  - echo "Username is $DOCKER_USERNAME"
  - echo "$DOCKER_PASSWORD" | docker login --username "$DOCKER_USERNAME" --password-stdin 

build:
  stage: build
  script:
    - mvn clean install 

test:
  stage: test
  script:
    - mvn test 

